"use strict";
this.name = "script.js";
this.author = "Reval";
this.licence = "CC BY-NC-SA 4.0";


// make sure that these ships are always present at Lave
this.startUpComplete = function() {
	if (system.name == "Lave") {
		// Adder
		this._feAddShip("adder-player", "Adder FE", 73000);
		// Gecko
		this._feAddShip("gecko-player", "Gecko FE", 66000);
		// Krait
		this._feAddShip("krait-player", "Krait FE", 50000);
		// Sidewinder
		this._feAddShip("sidewinder-player", "Sidewinder FE", 44000);
		// correct Oolite's mis-naming of the Cobra III in Normal start,
		// and also provide a Cobby III clone - because Lave Shipyard _can_
		// (the adventuresome player gets an extra 100 cr to play with too)
		if (player.ship.dataKey == "cobra3-player") {
			player.ship.shipClassName = "Cobra Mk 3 FE";
			this._feCloneShip();
		}
	}
}


this.shipDockedWithStation = function(station) {
	// counter the rarity of the Asp Explorer
	if (system.techLevel>10) this._feAddShip("asp-player", "Asp Explorer FE", 187000);
}


this._feAddShip = function(id,name,pr) { 
	system.mainStation.addShipToShipyard({ 
		short_description: name+": standard customer model, price "+formatCredits(pr,true,true)+".", 
		shipdata_key: id, 
		price: pr, 
		personality:0,
		extras:[""]
	});
}


// leave an identical ship at the shipyard
// in case player wishes to reset its specs
this._feCloneShip = function() {
	if (oolite.versionString>"1.88") {
		var pr = player.ship.price * 0.746;
		system.mainStation.addShipToShipyard({ 
			short_description: system.name +" Shipyard offers you this clone of your ship, gratis. Why? - Because we _can_", 
			shipdata_key: player.ship.dataKey, 
			price: pr, 
			personality:0,
			extras:[""]
		});
	}
}

